###################################################
### chunk number 1: 
###################################################
#line 10 "d:/Rcompile/CRANpkg/local/2.12/mitools/inst/doc/smi.Rnw"
options(width=70)


###################################################
### chunk number 2: 
###################################################
#line 20 "d:/Rcompile/CRANpkg/local/2.12/mitools/inst/doc/smi.Rnw"
library(mitools)
data.dir<-system.file("dta",package="mitools")

## read in data
library(foreign)
women<-imputationList(lapply(list.files(data.dir,
				pattern="f.\\.dta",full=TRUE),
                           read.dta, warn.missing.labels=FALSE))
men<-imputationList(lapply(list.files(data.dir,
				pattern="m.\\.dta",full=TRUE),
                           read.dta, warn.missing.labels=FALSE))


###################################################
### chunk number 3: 
###################################################
#line 35 "d:/Rcompile/CRANpkg/local/2.12/mitools/inst/doc/smi.Rnw"
## add sex variable
women<-update(women,sex=0)
men<-update(men, sex=1)
## combine two sets of imputations
all<-rbind(women,men)
all
colnames(all)


###################################################
### chunk number 4: 
###################################################
#line 46 "d:/Rcompile/CRANpkg/local/2.12/mitools/inst/doc/smi.Rnw"
with(all, table(sex, drkfre))


###################################################
### chunk number 5: 
###################################################
#line 50 "d:/Rcompile/CRANpkg/local/2.12/mitools/inst/doc/smi.Rnw"
all<-update(all, drkreg=as.numeric(drkfre)>2)
## tables
with(all, table(sex, drkreg))


###################################################
### chunk number 6: 
###################################################
#line 57 "d:/Rcompile/CRANpkg/local/2.12/mitools/inst/doc/smi.Rnw"
## logistic regression model
model1<-with(all, glm(drkreg~wave*sex, family=binomial()))
MIcombine(model1)
summary(MIcombine(model1))


###################################################
### chunk number 7: 
###################################################
#line 66 "d:/Rcompile/CRANpkg/local/2.12/mitools/inst/doc/smi.Rnw"
beta<-MIextract(model1, fun=coef)
vars<-MIextract(model1, fun=vcov)
summary(MIcombine(beta,vars))


